////////////////////////////////////////////////////////////////////////////////
//
//		Title		: NControl.h File
//
//		Copyright (C) 2006, NHN Co., Ltd. ALL RIGHTS RESERVED
//
//		Team		: Contents Manager Development
//
//		author		: hhd2002
//
//		created		: 7:2:2007   18:02
//  
//////////////////////////////////////////////////////////////////////////////// 
#pragma once

#include "Container.h"
#include "NPCommonUI.h"

#include "ScriptletContainerFactory.h"
/**
 * \group NPCommonUI 
 * \date 2007-02-07
 * \author hhd
 * \brief {kr} CNControl class {/kr}
 */
class NPCOMMONUI_API CNControl : public CContainer
{
	DECLARE_RTTI
	
public:
	CNControl();
	virtual ~CNControl() {}
	
	

	//override
	//CComponent
	LPCTSTR GetClassName() { return SCRIPTLET_CONTROL_NODE; }
	void OnDraw(HDC hDC);
	// PM-836 2007/11/02 18:18:45 
	/* {kr}
		 Ŀ Ҿ  ȿȭ Ű .
	{/kr} */
	void OnKillFocus(CComponent* pNewComponent);
	
// virtual
public:
	/**
	 * \brief {kr} Ŀ ¸ ׸. Dashed Rectangle ׸. {/kr}
	 * \param hDC 
	 */
	virtual void DrawFocused(HDC hDC) {}
	/**
	 * \brief {kr} Border ׸. {/kr}
	 * \param hDC 
	 */
	virtual void DrawBorder(HDC hDC) {}

};